Subject: bug#29525: Please don't default to "--unique" mode for Okular

From: Arash Esbati <[email-masked]>
Date: Mon, 04 Mar 2024 23:25:45 +0100

Mosè Giordano <[email-masked]> writes:

> 2017-12-05 13:57 GMT+01:00 Reuben Thomas <[email-masked]>:
>>> I'm honestly lost.  Could you please explain what's the workflow you'd
>>> like to use?  I thought it's something like this:
>>>
>>> 1) edit the source in AUCTeX
>>>
>>> 2) compile it with C-c C-c
>>>
>>> 3) open the output document in Okular with C-c C-v
>>>
>>> 4) switch back to Emacs with the window manager (usually ALT + TAB, I
>>> guess)
>>>
>>> 5) edit again
>>>
>>> 6 compile again with C-c C-c
>>>
>>> 7) switch to Okular with the window manager.  The document will
>>> auto-reload
>>>
>>> 8) reiterate from point 4
>>>
>>> If this is your workflow, forward search can't be used --- C-c C-v is
>>> run only once at point 3 --- unless you close Okular all the time.
>>
>>
>> This is correct: I am not using forward search. My bug report is simply
>> about launching a viewer. My workflow is much simpler: I open the viewer
>> once, and after that I let it auto-refresh, changing position in the PDF
>> window using its own controls.
>
> Ok, then I'm against making the usage of forward search more
> uncomfortable by default.
>
> If Okular will ever get the ability to not open a new instance for an
> already open document --- and I really hope so --- the default can be
> safely changed.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

That said, I think we can mark this report as "wontfix".  Therefore, I'm
closing this report.

Best, Arash